#
# spec file for package libtxc_dxtn
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libtxc_dxtn
Version:        1.0.1
Release:        3.1
Summary:        S3 Texture Compression
License:        MIT
Group:          System/Libraries
URL:            http://people.freedesktop.org/~cbrill/libtxc_dxtn/
Source0:        https://people.freedesktop.org/~cbrill/libtxc_dxtn/%{name}-%{version}.tar.bz2
Source1:        baselibs.conf
BuildRequires:  Mesa-devel
BuildRequires:  libtool
Supplements:    Mesa-libGL1
# Just replace s2tc as we are drop-in patented version
Provides:       s2tc = %{version}
Obsoletes:      s2tc < %{version}

%description
libtxc-dxtn is an implementation of the S3 Texture Compression (S3TC)
for use with the OpenGL implementation Mesa.

%package devel
Summary:        Development files for libtxc_dxtn
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
Provides:       s2tc-devel = %{version}
Obsoletes:      s2tc-devel < %{version}

%description devel
Libtxc-dxtn is an implementation of the S3 Texture Compression (S3TC)
for use with the OpenGL implementation Mesa.

This subpackage contains the header files for developing
applications that want to make use of libtxc_dxtn.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%{_libdir}/libtxc_dxtn.so

%files devel
%{_includedir}/txc_dxtn.h

%changelog
* Mon Oct  2 2017 mimi.vx@gmail.com
- fix Source tags
* Mon Nov 17 2014 scarabeus@opensuse.org
- Instead of conflict do provides
- Remove useless tags
- Cleanup a bit
* Wed Apr 17 2013 damianatorrpm@gmail.com
- Add Conflicts
- Add Group tag to devel package
* Tue Dec 18 2012 pontostroy@gmail.com
- initial packaging
